Page MenuHomePhabricator

Adds expectedFailureArmLinux test decorator
ClosedPublic

Authored by omjavaid on Jan 5 2016, 9:23 AM.

Details

Summary

This patch adds a new expectedFailureArmLinux which marks arm-linux tests as xfails.

Also marked a couple of failing tests to use expectedFailureArmLinux decorator.

Diff Detail

Repository
rL LLVM

Event Timeline

omjavaid updated this revision to Diff 44016.Jan 5 2016, 9:23 AM
omjavaid retitled this revision from to Adds expectedFailureArmLinux test decorator.
omjavaid updated this object.
omjavaid added a reviewer: clayborg.
omjavaid added a subscriber: lldb-commits.
clayborg requested changes to this revision.Jan 5 2016, 10:10 AM
clayborg edited edge metadata.

Seems like it would be better to mimic how @expectedFailureAndroid works. See inlined comments.

packages/Python/lldbsuite/test/functionalities/watchpoint/step_over_watchpoint/TestStepOverWatchpoint.py
20 ↗(On Diff #44016)

Seems like it would be better to do things like @expectedFailureAndroid that is just above:

@expectedFailureLinux(archs=['arm'], bug="llvm.org/pr26031")

I would like to avoid having new variants of the @expectedFailure that contain the architecture in the name.

This revision now requires changes to proceed.Jan 5 2016, 10:10 AM
labath added a subscriber: labath.Jan 6 2016, 1:48 AM

Yes, please don't insert new decorators, we have enough as it is. You can achieve the behavior you want with the correct arguments to expectedFailureAll decorator.

omjavaid updated this revision to Diff 44550.Jan 11 2016, 2:04 PM
omjavaid edited edge metadata.

Removed expectedFailureArmLinux and updated expectedFailureLinux decorator to reflect architecture if needed.

Marked some triaged failures as xfails on arm with updated expectedFailureLinux decorator.

LGTM?

clayborg accepted this revision.Jan 11 2016, 2:12 PM
clayborg edited edge metadata.

Looks good.

This revision is now accepted and ready to land.Jan 11 2016, 2:12 PM
This revision was automatically updated to reflect the committed changes.